#
# spec file for package rollback-helper
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           rollback-helper
Version:        0.1
Release:        2.1
Summary:        Helper Scripts for system rollback
License:        GPL-2.0+
Group:          System/Packages
Source0:        rollback-helper-%{version}.tar.bz2
Requires:       SUSEConnect
Supplements:    snapper
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%{?systemd_requires}

%description
The rollback-helper package is a collection of scripts, which,
after a successfull filesystem rollback with snapper, resets
registered products on SCC or SMT.

%prep
%setup -q

%build

%install
install -d "%{buildroot}/usr/lib/snapper/plugins"
install -d "%{buildroot}/%{_var}/lib/rollback"
install -d "%{buildroot}%{_unitdir}"
install -d "%{buildroot}%{_sbindir}"
cp plugins/rollback %{buildroot}/usr/lib/snapper/plugins/
cp systemd/rollback.service %{buildroot}%{_unitdir}/
cp sbin/rollback-reset-registration %{buildroot}%{_sbindir}/

%pre
%service_add_pre rollback.service

%post
%service_add_post rollback.service

%preun
%service_del_preun rollback.service

%postun
%service_del_postun rollback.service

%files
%defattr(-,root,root)
%dir /usr/lib/snapper
%dir /usr/lib/snapper/plugins
/usr/lib/snapper/plugins/rollback
%{_unitdir}/rollback.service
%{_sbindir}/rollback-reset-registration

%changelog
* Mon May 22 2017 jsrain@suse.cz
- check whether system is registered before rollback (bsc#1032129)
* Tue Nov 15 2016 kukuk@suse.de
- Add missing systemd requires macro, remove wrong branding PreReq
  [bsc#1011912]
* Thu Aug 11 2016 kukuk@suse.de
- Remove wrong requires for snapper and snapper-zypp-plugin
- Remove wrong PreReq for insserv
- Add missing Requires for SUSEConnect
* Wed Nov 18 2015 jsrain@suse.cz
- added versioned pre-require on systemd-presets-branding SLE
  package (bsc#954377)
* Tue Oct  6 2015 jsrain@suse.cz
- added Supplements dependency on snapper
* Mon Oct  5 2015 jsrain@suse.cz
- fixed dependencies of the service file
- perform the registration tollback action (fate#319118)
* Tue Sep 22 2015 kukuk@suse.de
- Fix filelist.
* Tue Sep 22 2015 kukuk@suse.de
- Initial version, add plugin to copy data in case of rollback,
  create first service file, add dummy reset script. [FATE#319118]
